# Copyright © 2019 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

DESCRIPTION="IP filter list from eMule Security"
HOMEPAGE="http://www.emule-security.org/"
SRC_URI="http://upd.emule-security.org/ipfilter.zip -> $P.zip"

LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+amule"

BDEPEND="|| ( app-arch/gzip app-arch/unzip )
	app-text/dos2unix"

src_unpack() {
	gunzip -c "$DISTDIR/$A" >ipfilter.dat && return
	unzip "$DISTDIR/$A" && mv -f guarding.p2p ipfilter.dat && return
	die "failed to unpack"
}

S=$WORKDIR

src_compile() {
	dos2unix ipfilter.dat
}

src_install() {
	insinto /usr/share
	doins ipfilter.dat

	if use amule; then
		dodir /usr/share/amule
		dosym ../ipfilter.dat /usr/share/amule/ipfilter.dat
	fi
}
